package com.gydx.controller;


import com.gydx.demo.SetId;
import com.gydx.service.RuleManagementService;
import com.gydx.vo.FoodRuleVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/FoodRuleVO")
public class RuleManagementController {

    @Autowired
    RuleManagementService ruleManagementService;

    @RequestMapping("/addRule")
    public void addRule(FoodRuleVO foodRuleVO) {
        SetId setId = new SetId();
        foodRuleVO.setFoodRuleID(setId.RRRRule());
        ruleManagementService.addRule(foodRuleVO);
    }
    @RequestMapping("/deleteRule")
    public void deleteRule(FoodRuleVO foodRuleVO) {
        ruleManagementService.deleteRule(foodRuleVO);
    }
    @RequestMapping("/updateRule")
    public void updateRule(FoodRuleVO foodRuleVO) {
        ruleManagementService.updateRule(foodRuleVO);
    }

    @RequestMapping("/queryRule")
    public List queryRule(FoodRuleVO foodRuleVO){
        return ruleManagementService.queryRule(foodRuleVO);
    }

}
