package com.gydx.controller;


import com.gydx.demo.SetId;
import com.gydx.service.VendorManagementService;
import com.gydx.vo.FoodSupplierVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/FoodSupplierVO")
public class VendorManagementController {

    @Autowired
    VendorManagementService vendorManagementService;

    @RequestMapping("/addSupplier")
    public void addSupplier(FoodSupplierVO foodSupplierVO) {
        SetId SetId = new SetId();
        foodSupplierVO.setFoodSupplierID(SetId.generateRandomDOC());
        vendorManagementService.addSupplier(foodSupplierVO);
    }

    @RequestMapping("/queryLoginlyh")
    public List queryLoginlyh(FoodSupplierVO foodSupplierVO) {
        return vendorManagementService.queryLoginlyh(foodSupplierVO);
    }

    @RequestMapping("/deleteSupplier")
    public void deleteSupplier(FoodSupplierVO foodSupplierVO) {
        vendorManagementService.deleteSupplier(foodSupplierVO);
    }

    @RequestMapping("/updateSupplier")
    public void updateSupplier(FoodSupplierVO foodSupplierVO) {
        vendorManagementService.updateSupplier(foodSupplierVO);
    }

    @RequestMapping("/querySupplier")
    public List querySupplier(FoodSupplierVO foodSupplierVO){
        return vendorManagementService.querySupplier(foodSupplierVO);
    }
}
