package com.gydx.vo;


import lombok.Data;

import java.sql.Date;
import java.sql.Timestamp;

@Data
public class BiddingMesVO {
    private String BiddingMesID;
    private String BiddingMesName;//竞价标题
    private String BiddingAmount;//竞价数量
    private String BiddingUnit;//竞价采购物品单位
    private Date BiddingStartTime;//竞价开始时间
    private Date BiddingEndTime;//竞价结束时间
    private String BiddingType;//招采物品类型
    private Timestamp ClickStartTime;//点击开始时间
    private String BiddingStatus;//竞价状态
    private String ClientID;//委托方名称
    private String MaxPrice;//价格上限
    private String MinPrice;//价格下限
    private String Location;//供货地点
    private Date EndDeliverTime;//交货期限
    private String FoodRuleID;//竞价规则
    private String InvoiceType;//发票类型
    private Date PaymentTime;//付款时间
    private Date BiddingMesCreate;//创建时间

    public BiddingMesVO() {}


    public BiddingMesVO(String BiddingMesID) {
        this.BiddingMesID = BiddingMesID;
    }

}
