package com.gydx.controller;

import com.gydx.demo.Result;
import com.gydx.demo.Z_ExpertAssign;
import com.gydx.service.ExpertService;
import com.gydx.vo.ExpertMesVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/Expert")
public class ExpertController {

    @Autowired
    private ExpertService expertService;

    @RequestMapping("/queryAllExpert")
    public Result queryAllExpert(ExpertMesVO expertMesVO) {
        return Result.success(expertService.queryAllExpert(expertMesVO));
    }

    @RequestMapping("/assignExpert")
    public List assignExpert(ExpertMesVO expertMesVO) {
        Z_ExpertAssign z = new Z_ExpertAssign();
        List<List<List<ExpertMesVO>>> result = z.assignExperts(expertService.queryAllExpert(expertMesVO));
        return result;
    }
}
