package com.gydx.service.impl;

import com.gydx.demo.SetId;
import com.gydx.mapper.BiddingMesMapper;
import com.gydx.service.BiddingMesService;
import com.gydx.vo.BiddingMesVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.Date;
import java.util.List;
@Service
public class BiddingMesImpl implements BiddingMesService {

    @Autowired
    BiddingMesMapper biddingMesMapper;



    @Override
    public Integer saveBiddingMes(BiddingMesVO vo) {
        SetId setId = new SetId();

        vo.setBiddingMesID(setId.BiddingIdB());
        vo.setBiddingStatus("未开始");

        return biddingMesMapper.addBiddingMes(vo);
    }

    @Override
    public int removeBiddingMes(BiddingMesVO vo) {
        biddingMesMapper.deleteBiddingMes(vo);
        return 0;

    }
    @Override
    public int updateBiddingMes(BiddingMesVO vo) {
        biddingMesMapper.updateBiddingMes(vo);
        return 0;

    }

    @Override
    public List findBiddingMes(BiddingMesVO vo) {
        return biddingMesMapper.queryBiddingMes(vo);
    }

    @Override
    public List findBiddingMesByID(BiddingMesVO vo) {
        return biddingMesMapper.queryBiddingMesByID(vo);
    }


}
