package com.gydx.service.impl;

import com.gydx.mapper.ManagerUserMapper;
import com.gydx.service.ManageUserService;
import com.gydx.vo.ManagerUserVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class ManagerUserImpl implements ManageUserService {

    @Autowired
    ManagerUserMapper managerUserMapper;

    @Override
    public ManagerUserVO queryUser(String username) {
        return managerUserMapper.queryUser(username);

    }

    @Override
    public List queryRootlyh(ManagerUserVO vo) {
        return managerUserMapper.queryRootlyh(vo);
    }

    @Override
    public int addUser(ManagerUserVO vo) {
        managerUserMapper.addUser(vo);
        return 0;
    }
}
