package com.gydx.service.impl;

import com.gydx.mapper.RuleManagementMapper;
import com.gydx.service.RuleManagementService;
import com.gydx.vo.FoodRuleVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;


@Service
public class RuleManagementServiceImpl implements RuleManagementService {
    @Autowired
    RuleManagementMapper ruleManagementMapper;

    @Override
    public void addRule(FoodRuleVO foodRuleVO) {
        ruleManagementMapper.addRule(foodRuleVO);
    }

    @Override
    public void deleteRule(FoodRuleVO foodRuleVO) {
        ruleManagementMapper.deleteRule(foodRuleVO);
    }

    @Override
    public void updateRule(FoodRuleVO foodRuleVO) {
        ruleManagementMapper.updateRule(foodRuleVO);
    }

    @Override
    public List queryRule(FoodRuleVO foodRuleVO) {
        return ruleManagementMapper.queryRule(foodRuleVO);
    }
}
