package com.gydx.service.impl;

import com.gydx.mapper.VendorManagementMapper;
import com.gydx.service.VendorManagementService;
import com.gydx.vo.FoodSupplierVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;


@Service
public class VendorManagementServiceImpl implements VendorManagementService {
    @Autowired
    VendorManagementMapper vendorManagementMapper;

    @Override
    public void addSupplier(FoodSupplierVO foodSupplierVO) {
        vendorManagementMapper.addSupplier(foodSupplierVO);
    }

    @Override
    public void updateSupplier(FoodSupplierVO foodSupplierVO) {
        vendorManagementMapper.updateSupplier(foodSupplierVO);
    }

    @Override
    public void deleteSupplier(FoodSupplierVO foodSupplierVO) {
        vendorManagementMapper.deleteSupplier(foodSupplierVO);
    }

    @Override
    public List querySupplier(FoodSupplierVO foodSupplierVO) {
        return vendorManagementMapper.querySupplier(foodSupplierVO);
    }

    @Override
    public List queryLoginlyh(FoodSupplierVO foodSupplierVO){
        return vendorManagementMapper.queryLoginlyh(foodSupplierVO);
    }
}
